#ifndef THTHU_H
#define THTHU_H
 
#include <QtGui>
 
class ththu : public QThread
{
	Q_OBJECT
 
public:
	ththu();

	QListWidgetItem *mywidget;
	int result;
	QString current_path;
	QSize mysize;
	QIcon wlico;
	QImage icon;
	QImageReader reader;
	QPainter p;
	QPixmap wgmask;
	QPixmap wgmask2;
	QPixmap wl_pixtmp;
	QPixmap wl_pixtmp2;
	void run();
	void finished();

	signals:
	void myfin(); 
};
 
 
#endif
